<style>
    /* .customtable th:nth-child(n+2) {
            background-color: navy;
            color: white
        }
        .customtable th {
            width: 25%;
        } */
  
  
    .customtable {
      background-color: navy;
      color: white;
    }
  
    /* #ngb-popover-0,
    #ngb-popover-1 {
      z-index: 99999 !important;
      width: auto !important;
  
    } */
  
  
    .mat-select-panel {
      margin-top: 30px !important;
    }
  
    .mat-form-field {
      width: calc(100% - .1rem);
    }
  </style>
  <ng-template #popContent1>Calculate a daily forecast of a metric, for up to 90 days in the future.
    It is available at a Store level, or a Region, State or Portfolio level</ng-template>
  <ng-template #popTitle1><b>Forecast </b></ng-template>
  
  <ng-template #popContent2 class="test_popover">
    First identify the metric to forecast, and the time window over
    which to forecast (Forecast Window) e.g., From Jul 1, for 90 days
  
  </ng-template>
  <ng-template #popTitle2><b>Inputs</b></ng-template>
  
  
  
  
  <div [hidden]="isDetailView" class="container-fluid">
    <div class="titleforecast form-group w-100 pt-2" style="padding: 0; font-weight: normal;">
      <img src='assets/img/magnifier.svg' />
      <span style="font-size: 22px;color: #000000;vertical-align:middle; " class="pl-1">Forecast
        <img placement="right" [ngbPopover]="popContent1" [popoverTitle]="popTitle1" src='assets/img/info.svg'
          style='margin-left:5px;vertical-align:baseline;cursor:pointer;' /></span>
    </div>
  </div>
  <div [hidden]="isDetailView" class="col-md-12 p-0">
    <hr class="hr-border container-m--x mt-3 mb-3">
  </div>
  
  <block-ui [hidden]="isDetailView" [ngClass]="loadingBgColor" *blockUI="blockUIName; template: elementBlockTemplate1">
    <form class="container-fluid">
      <div class="col-md-12 mb-3 mt-2  row">
        <div class="titleforecast" style="padding: 0; font-weight: normal;"> <img src='assets/img/inputs.svg' class="pr-2" />
          <span>Inputs <img [ngbPopover]="popContent2" [popoverTitle]="popTitle2" src='assets/img/info.svg'
              style='cursor:pointer; margin-left:5px;' /></span>
        </div>
      </div>
      <!-- selection btn -->
      <div class="col-md-12 mb-3 mt-2  row">
      <div class="selection-btn pr-3">
        <mat-button-toggle-group #group="matButtonToggleGroup" style="margin-left: auto;margin-right: auto;"
          [value]="currentView">
          <mat-button-toggle aria-label="Text align left" [ngClass]="!isSeheduleforecast?'btn-primary fw-700':''"
            (change)="togglebtn('create_forecast')" class="select-switch-btn f-14">
            Create Forecast Now
          </mat-button-toggle>
          <mat-button-toggle aria-label="Text align center" [ngClass]="isSeheduleforecast?'btn-primary fw-700':''"
            (change)="togglebtn('schedule_forecast')" class="select-switch-btn f-14">
            Schedule a Forecast
          </mat-button-toggle>

        </mat-button-toggle-group>
      </div>
        <button class="btn btn-dark icon-only y" *ngIf="isSeheduleforecast"
        (click)="modalService.open(currentForecast,{windowClass: 'modal-fill-in modal-lg modal-md animate'});">
      <i class="far fa-calendar-alt f-16 mr-1"></i>  Current Forcasts
    </button>
       </div>
  
      <!-- selection btn -->
      <div class="pt-0 pb-3" *ngIf="!isSeheduleforecast">
        <!-- three -->
        <div class="row mt-3 align-items-center">
          <!-- <div class="col-md-12 f-18 pb-2">Create Forecast</div> -->
          <div class="col-auto">
            <div class="field-title f-14">Forecast Start Date</div>
            <mat-form-field appearance="outline">
              <input matInput [matDatepicker]="fromDate" placeholder="From date" class="f-14"
                [(ngModel)]="searchByFilters.fromDate" [ngModelOptions]="{standalone: true}" />
              <mat-datepicker-toggle matSuffix [for]="fromDate"></mat-datepicker-toggle>
              <mat-datepicker #fromDate></mat-datepicker>
            </mat-form-field>
  
          </div>
  
          <!-- <div class="col-auto">
                <div class="field-title f-14">Forecast Duration</div>
                <mat-form-field appearance="outline" class="f-14" >
                  <mat-label class="f-14" style="margin-top:25px; margin-right:25px;">30 Days</mat-label>
      
                  <mat-select>
                    <mat-option *ngFor="let duration of durations" [value]="duration.value" >
                        {{duration.viewValue}}
                    </mat-option>
                  </mat-select>
                </mat-form-field>
              </div> -->
          <div class="col-auto">
            <div class="field-title f-14">Forecast Duration</div>
            <mat-form-field appearance="outline">
              <mat-label class="f-14" style="margin-top:25px; margin-right:25px;">Duration</mat-label>
              <mat-select>
                <mat-option *ngFor="let duration of durations" [value]="duration.value" class="f-14">
                  {{duration.viewValue}}
                </mat-option>
              </mat-select>
  
              <!-- <input matInput [matDatepicker]="toDate" placeholder="To date" [(ngModel)]="searchByFilters.toDate"
                        [ngModelOptions]="{standalone: true}" />
                      <mat-datepicker-toggle matSuffix [for]="toDate"></mat-datepicker-toggle>
                      <mat-datepicker #toDate></mat-datepicker> -->
            </mat-form-field>
          </div>
          <div class="col-auto f-16 ">
            <mat-checkbox [(ngModel)]="analyzeLabor" (change)="setAnalyzeLabor($event)">Labor Forecast
            </mat-checkbox>
          </div>
  
          <div class="col-auto">
            <div *ngIf="analyzeLabor" class="pt-20">
              <mat-form-field appearance="outline"  >
                <input type="number" [value]="laborValue" (change)="laborValueChange($event)" matInput
                  placeholder="Eg. 000.00">
              </mat-form-field><label class="f-16 pl-2">Sales/Labor
                Hr</label>
            </div>
          </div>
  
  
        </div>
        <!-- end three -->
        <!-- four -->
        <div class="row mb-1 align-items-center" style="margin-top:-20px;">
          <div class="col-auto" >
            <span class="fw-700 f-16 " > Select Store(s)</span>
          </div>
  
          <div class="col-auto d-flex">
            <div class="pl-5 ipad-res-pl-2">
              <label  class="custom-control custom-radio f-16 fw-700" style="margin-bottom:0px;">
                <input type="radio" class="mr-1 custom-control-input" id="defaultRadio1" name="createSelectStore" [(ngModel)]="createSelectStore"
                value="all" >
                <div class="custom-control-label pt-1" for="defaultRadio1">All</div>
              </label>
  
            </div>
            <div class="pl-5 pr-3 ipad-res-pl-4 ipad-res-pr-0">
              <label class="custom-control custom-radio mb-0 f-16 fw-700" >
                <input type="radio" class="custom-control-input mr-1" id="defaultRadio2" [(ngModel)]="createSelectStore"
                  name="createSelectStore" value="for" >
                <div for="defaultRadio2" class="custom-control-label pt-1">For</div>
              </label>
            </div>
          </div>
  
          <div class="col-auto">
            <!-- <mat-select-autocomplete class="grid-7-11 pt-0 f-14" [placeholder]="'All States'" [options]="test_states"
              [display]="'label'" [value]="'value'" [multiple]='true' [labelCount]="2"
              [disabled]="createSelectStore !== 'for'"
              (selectionChange)="setFilterCriterea($event,'test_state')">
            </mat-select-autocomplete> -->
          </div>
          <div class="col-auto">
            <!-- <mat-select-autocomplete class="grid-7-11 f-14" [placeholder]="'All Regions'" [options]="test_regions"
              [display]="'label'" [value]="'value'" [multiple]='true' [labelCount]="2" [disabled]="createSelectStore !== 'for'"
              (selectionChange)="setFilterCriterea($event,'test_region')">
            </mat-select-autocomplete> -->
          </div>
          <div class="col-auto">
            <!-- <mat-select-autocomplete class="grid-7-11 f-14" [placeholder]="'All Stores'"
            [options]="test_stores_static" [display]="'label'" [value]="'value'" [multiple]='true' [labelCount]="2" [disabled]="createSelectStore !== 'for'"
            (selectionChange)="setFilterCriterea($event,'test_store_name')">
            </mat-select-autocomplete> -->
          </div>
        </div>
        <!-- end four -->
  
        <div class="row">
          <div class="col-md-12">
  
            <div class="row">
              <div appearance="outline" class="col-md-12">
                <button class="btn btn-md btn-primary f-16 plr-30" mat-raised-button (click)="onSubmit()">Create</button>
              </div>
  
  
  
            </div>
          </div>
        </div>
      </div>
  
      <!-- SCHEDULE FORECAST -->
  
      <!-- one -->
      <div class="col-md-12 mb-3 mt-2  ml-0 pl-0 pb-3" *ngIf="isSeheduleforecast">
        <div class="row mt-2">
          <div class="col-12 mb-2" style="white-space: nowrap; font-size:16px; font-weight: bold;">Schedule Forecast</div>
          <div class="group-label-input"><label>Once per</label></div>
          <div class="col-auto">
            <mat-form-field appearance="outline">
              <mat-label class="f-14" style="margin-top:25px; margin-right:25px;">Week</mat-label>
  
              <mat-select>
                <mat-option>
                  Week
                </mat-option>
                <mat-option>
                  Month
                </mat-option>
                <mat-option>
                  Quarter
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
  
          <div class="group-label-input"><label>From</label></div>
          <div class="col-auto">
            <mat-form-field appearance="outline" >
              <input matInput [matDatepicker]="from1" placeholder="From date" [(ngModel)]="searchByFilters.toDate"
                [ngModelOptions]="{standalone: true}" />
              <mat-datepicker-toggle matSuffix [for]="from1"></mat-datepicker-toggle>
              <mat-datepicker #from1></mat-datepicker>
            </mat-form-field>
          </div>
        </div>
        <!-- end one -->
  
        <!-- two -->
        <div class="row align-items-center" style="margin-top:-20px !important;">
          <div style="padding-left:13px;">
            <span class="fw-700 f-16 " >End Occurence </span>
          </div>
          <div class="col-auto d-flex">
            <div class="pl-5 ipad-res-pl-2">
              <label class="custom-control custom-radio mb-0 f-16 fw-700" >
                <input type="radio" class="custom-control-input mr-1" id="defaultRadio1" name="confidence_per1" value="95_per" checked>
                <div for="defaultRadio1" class="custom-control-label pt-1">Never</div>
              </label>
  
            </div>
  
            <div class="pl-5 pr-3 ipad-res-pl-4 ipad-res-pr-0">
              <label class="custom-control custom-radio mb-0 f-16 fw-700">
                <input type="radio" class="custom-control-input mr-1" id="defaultRadio2" name="confidence_per1" value="95_per">
                <div for="defaultRadio2" class="custom-control-label pt-1">On</div>
              </label>
            </div>
          </div>
  
          <div class="col-auto">
            <mat-form-field appearance="outline" class="pt-20" >
              <input matInput [matDatepicker]="from2" placeholder="On date" [(ngModel)]="searchByFilters.toDate"
                [ngModelOptions]="{standalone: true}" />
              <mat-datepicker-toggle matSuffix [for]="from2"></mat-datepicker-toggle>
              <mat-datepicker #from2></mat-datepicker>
            </mat-form-field>
          </div>
  
          <div class="pl-3 pr-3">
            <label class="custom-control custom-radio mb-0 f-16 fw-700" >
              <input type="radio" class="custom-control-input mr-1" id="defaultRadio3" name="confidence_per1" value="95_per">
              <div for="defaultRadio3" class="custom-control-label pt-1">After</div>
            </label>
          </div>
  
          <div class="col-auto">
            <mat-form-field appearance="outline" class="pt-20">
              <mat-label class="f-14" style="margin-top:25px; margin-right:25px;">Occurences</mat-label>
  
              <mat-select>
                <mat-option *ngFor="let occ of Occurences" [value]="occ">
                  {{occ}}
                </mat-option>
              </mat-select>
  
              <!-- <input matInput [matDatepicker]="toDate" placeholder="To date" [(ngModel)]="searchByFilters.toDate"
                    [ngModelOptions]="{standalone: true}" />
                  <mat-datepicker-toggle matSuffix [for]="toDate"></mat-datepicker-toggle>
                  <mat-datepicker #toDate></mat-datepicker> -->
            </mat-form-field>
          </div>
  
        </div>
        <!-- end two -->
  
        <div class="pt-0" *ngIf="isSeheduleforecast">
          <!-- three -->
          <div class="row mt-3 align-items-center">
            <div class="col-md-12 f-18 fw-700 pb-2">Create Forecast</div>
  
  
            <div class="col-auto">
              <div class="field-title f-14">Forecast Start Date</div>
              <mat-form-field appearance="outline" >
                <input matInput [matDatepicker]="fromDate" placeholder="From date" class="f-14"
                  [(ngModel)]="searchByFilters.fromDate" [ngModelOptions]="{standalone: true}" />
                <mat-datepicker-toggle matSuffix [for]="fromDate"></mat-datepicker-toggle>
                <mat-datepicker #fromDate></mat-datepicker>
              </mat-form-field>
  
            </div>
  
            <!-- <div class="col-auto">
                  <div class="field-title f-14">Forecast Duration</div>
                  <mat-form-field appearance="outline" class="f-14" >
                    <mat-label class="f-14" style="margin-top:25px; margin-right:25px;">30 Days</mat-label>
        
                    <mat-select>
                      <mat-option *ngFor="let duration of durations" [value]="duration.value" >
                          {{duration.viewValue}}
                      </mat-option>
                    </mat-select>
                  </mat-form-field>
                </div> -->
            <div class="col-auto">
              <div class="field-title f-14">Forecast Duration</div>
              <mat-form-field appearance="outline" >
                <mat-label class="f-14" style="margin-top:25px; margin-right:25px;">Duration</mat-label>
                <mat-select>
                  <mat-option *ngFor="let duration of durations" [value]="duration.value" class="f-14">
                    {{duration.viewValue}}
                  </mat-option>
                </mat-select>
  
                <!-- <input matInput [matDatepicker]="toDate" placeholder="To date" [(ngModel)]="searchByFilters.toDate"
                          [ngModelOptions]="{standalone: true}" />
                        <mat-datepicker-toggle matSuffix [for]="toDate"></mat-datepicker-toggle>
                        <mat-datepicker #toDate></mat-datepicker> -->
              </mat-form-field>
            </div>
            <div class="col-auto f-16 ">
              <mat-checkbox [(ngModel)]="analyzeLabor" (change)="setAnalyzeLabor($event)">Labor Forecast
              </mat-checkbox>
            </div>
  
            <div class="col-auto">
              <div *ngIf="analyzeLabor" class="pt-20" >
                <mat-form-field appearance="outline">
                  <input type="number" [value]="laborValue" (change)="laborValueChange($event)" matInput
                    placeholder="Eg. 000.00">
                </mat-form-field><label class="f-16 pl-2">Sales/Labor
                  Hr</label>
              </div>
            </div>
  
  
          </div>
          <!-- end three -->
          <!-- four -->
          <div class="row mb-1 align-items-center" style="margin-top:-20px;">
            <div class="col-auto" >
              <span class="fw-700 f-16 " > Select Store(s)</span>
            </div>
  
            <div class="col-auto d-flex">
              <div class="pl-5 ipad-res-pl-2">
                <label class="custom-control custom-radio mb-0 f-16 fw-700" >
                  <input type="radio" class="custom-control-input mr-1" id="defaultRadio1" name="scheduleSelectStore"
                    [(ngModel)]="scheduleSelectStore" value="all" >
                  <div for="defaultRadio1" class="custom-control-label pt-1">All</div>
                </label>
  
              </div>
              <div class="pl-5 pr-3 ipad-res-pl-4 ipad-res-pr-0">
                <label class="custom-control custom-radio mb-0 f-16 fw-700" >
                  <input type="radio" class="custom-control-input mr-1" id="defaultRadio2"
                    [(ngModel)]="scheduleSelectStore"  name="scheduleSelectStore" value="for">
                  <div for="defaultRadio2" class="custom-control-label pt-1">For</div>
                </label>
              </div>
            </div>
  
            <div class="col-auto">
              <!-- <mat-select-autocomplete class="grid-7-11 pt-0 f-14" [placeholder]="'All States'" [options]="test_states"
                [display]="'label'" [value]="'value'" [multiple]='true' [labelCount]="2" [disabled]="scheduleSelectStore !== 'for'"
                (selectionChange)="setFilterCriterea($event,'test_state')">
              </mat-select-autocomplete> -->
            </div>
            <div class="col-auto">
              <!-- <mat-select-autocomplete class="grid-7-11 f-14" [placeholder]="'All Regions'" [options]="test_regions"
                [display]="'label'" [value]="'value'" [multiple]='true' [labelCount]="2" [disabled]="scheduleSelectStore !== 'for'"
                (selectionChange)="setFilterCriterea($event,'test_region')">
              </mat-select-autocomplete> -->
            </div>
            <div class="col-auto">
              <!-- <mat-select-autocomplete class="grid-7-11 f-14" [placeholder]="'All Stores'" [disabled]="scheduleSelectStore !== 'for'"
              [options]="test_stores_static" [display]="'label'" [value]="'value'" [multiple]='true' [labelCount]="2"
                (selectionChange)="setFilterCriterea($event,'test_store_name')">
              </mat-select-autocomplete> -->
            </div>
          </div>
        </div>
  
        <!-- five -->
        <div class="row">
          <div appearance="outline" >
            <button class="btn btn-md btn-primary f-16 plr-30" (click)="swalMessage()">Schedule</button>
          </div>
  
          <div class=" f-14 forecast-reset" style="margin-left:15px;">Reset All</div>
  
        </div>
        <!-- end five -->
      </div>
      <!-- SCHEDULE FORECAST -->
  
      <!-- <div class="col-md-12 p-0">
        <hr class="hr-border container-m--x mt-3 mb-3">
      </div> -->
  
      <ng-container *ngIf="showResut && !isSeheduleforecast" [ngClass]="showResut ? '' : 'd-none'">
        <div class="container-m--x">
          <div class="container-m--x" style="padding: 10px 4rem;background: #f7f7f7;">
            <div class="demo-vertical-spacing mb-4">
              <ul class="nav nav-lg nav-tabs tabs-alt">
                <li class="nav-item">
                  <a class="nav-link active" href="javascript:void(0)">Result
                  </a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="javascript:void(0)">Validation
                  </a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="javascript:void(0)">Inference</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="javascript:void(0)">Outliers</a>
                </li>
              </ul>
              <div>
                <span class="f-16 mr-2">Forecast Modeling Including</span>
                <button class="btn btn-outline-primary mr-1">Local Weather Data</button>
                <button class="btn btn-outline-primary mr-1">Price Change</button>
                <button class="btn btn-outline-primary mr-1">Promotion</button>
                <button class="btn btn-outline-primary mr-1">Multi Seasonality</button>
              </div>
            </div>
            <div fxLayout="row wrap" fxLayoutGap="10px" fxLayoutAlign="flex-start" class="card p-4 cardPanel">
              <div class="titleforecast pl-0" style="font-weight: normal;">
                <!-- <img class="pr-2" src='assets/img/results.svg' /> -->
                 Forecast Summary
  
              </div>
              <div class="widgit">
                <div id="nextWeek" class="card mb-2 cardPanel widgitBox" (click)="onClickFCPeriod('nextWeek')"
                  [ngClass]="{'active' : nextWeekActive}">Next Week
                  <ul>
                    <li>Net Sales<label>${{responseData.days7_results.Total_7_summary.sum | number:'1.0-0' }}</label></li>
                    <li>Labor Hours<label>{{responseData.days7_results.Total_7_summary.sum/laborValue | number:'1.0-0' }}
                        Hrs</label>
                    </li>
                    <!-- <li>Check<label>12,000</label></li> -->
                    <!-- <li *ngIf="analyzeLabor">Labor Hours<label>1,200 Hrs</label></li> -->
                  </ul>
                </div>
  
                <div id="nextPeriod" class="card mb-2 cardPanel widgitBox" (click)="onClickFCPeriod('nextPeriod')"
                  [ngClass]="{'active' : nextPeriodActive}">Next Period
                  <ul>
                    <li>Net Sales<label>${{responseData.days28_results.Total_28_summary.sum | number:'1.0-0' }}</label></li>
                    <li>Labor Hours<label>{{responseData.days28_results.Total_28_summary.sum/laborValue | number:'1.0-0' }}
                        Hrs</label></li>
                    <!-- <li *ngIf="analyzeLabor">Labor<label>34,000</label></li> -->
                  </ul>
                </div>
                <div id="nextQuarter" class="card mb-2 cardPanel widgitBox" (click)="onClickFCPeriod('nextQuarter')"
                  [ngClass]="{'active' : nextQuarterActive}">Next Quarter
                  <ul>
                    <li>Net Sales<label>${{responseData.days90_results.Total_90_summary.sum | number:'1.0-0' }}</label></li>
                    <li>Labor Hours<label>{{responseData.days90_results.Total_90_summary.sum/laborValue | number:'1.0-0' }}
                        Hrs</label></li>
                    <!-- <li *ngIf="analyzeLabor">Labor<label>34,000</label></li> -->
                  </ul>
                </div>
              </div>
  
              <div class="w-100">
                <div class="card-header with-elements pr-0 p-0">
                  <!-- <img src='assets/img/Categorization.svg' style='margin:20px;' /> -->
                  <span class="titleforecast" style="font-weight: normal;" *ngIf="nextWeekActive">Next Week</span>
  
                  <div class="pd-toggle-3" style="position: absolute;right:1.8rem;">
                    <button type="button" class="btn  " [ngClass]="{'btn-secondary' : forecastViewType=='line'}"  placement="top" ngbTooltip="Chart"
                      (click)="drawSalesProjectionCharts({})"><i class="d-block fas fa-chart-line"></i></button>
  
                    <button type="button" class="btn  " [ngClass]="{'btn-secondary' : forecastViewType=='table'}" placement="top" ngbTooltip="Table"
                      (click)="toggleTableView()"><i class="d-block fas fa-table"></i></button>
  
                  </div>
  
                  <div class="pd-toggle-3" style="position: absolute;right:14em;">
                    <button type="button" class="btn" (click)="editSummary();">
                      <i class="d-block far fa-edit"> <span class="ml-1"> Modify Forecast</span></i> </button>
                  </div>
  
                  <span class="titleforecast" style="font-weight: normal;" *ngIf="nextPeriodActive">Next Period</span>
                  <span class="titleforecast" style="font-weight: normal;" *ngIf="nextQuarterActive">Next Quarter</span>
                  <div style="float:right;margin:20px;cursor: pointer;" class="{{departmentdataviewClass}}"
                    (click)="toggleTableView('department')"></div>
                </div>
                <div class="card-body" style="height:400px;">
                  <div [hidden]="forecastViewType=='table'"  id="salesProjectionChart" class="w-100" style="height:350px;"></div>
                  <div [hidden]="forecastViewType=='line'" class="w-100" style="height:350px;">
                    <fm-pivot id='summary_forecast_table' #summary_forecast_table [toolbar]="false" [width]="'100%'" [height]="350"
                      [licenseKey]="'Z7TE-102510-6Z0345-61393B-585P5Q-3X053C-5F5P3O-1B2038-6T164M-6F1V6W-0K61'">
                    </fm-pivot>
                  </div>
                </div>
              </div>
  
              
            </div>
            <div class="details" id="showFullDetailsLink" (click)="toggleFullDetailView()">View Full Details <i
                  class="fas fa-angle-double-down" style="margin-left:10px;"></i></div>
            <div fxLayout="row wrap" fxLayoutGap="10px" fxLayoutAlign="flex-start" class="card p-4 cardPanel mb-4" *ngIf="showDetailResut">
  


              <div class="titleforecast pl-0" *ngIf="showDetailResut">Forecast by Day Part</div>
              <div  *ngIf="showDetailResut">
                <!-- <div class="card-header text-right">
                <div class="pd-toggle-3" style="display: inline-flex; margin-right: 4px;">
                    <button type="button" class="btn" ><i
                        class="d-block fas fa-chart-line"></i></button>
        
                    <button type="button" class="btn" >
                      <i class="d-block fas fa-table"></i></button>
        
                  </div> 
                </div> -->
  
                <div class="card-body row" style="margin:0;">
                  <div class="col-lg-6 col-md-12">
                    <table border="0" class="data" [perfectScrollbar]>
                      <thead class="t-thead">  <tr class="head">
                          <th class="wd-35">Day Part</th>
                          <th class="wd-35">Net Sales ($)</th>
                          <th class="wd-30">Labor Hours</th>
                        </tr></thead>
                      <tbody style="display:block;">
                        <tr *ngFor="let dpart of dayPartSummaryValues" class="rowdata" (click)="onClickFCByDayPart(dpart.name)"
                          [ngClass]="{'active' : fcByDayPartActiveDivId == dpart.name}">
                          <td class="wd-35">{{dpart.name}}</td>
                          <td class="wd-35">${{dpart.net_sales_sum | number:'1.0-0'}}</td>
                          <td class="wd-30">{{dpart.net_sales_sum/laborValue | number:'1.0-0' }}</td>
                        </tr>
                      </tbody>
  
                    </table>
                  </div>
                  <div class="col-lg-6 col-md-12">
                    <div >
                      <div class="w-100 forecast-chart-height" id="salesProjectionDayPartChart" >
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div fxLayout="row wrap" fxLayoutGap="10px" fxLayoutAlign="flex-start" class="card p-4 cardPanel mb-4" *ngIf="showDetailResut">
  
              <div class="titleforecast pl-0" *ngIf="showDetailResut">Forecast by Order Mode</div>
              <div  *ngIf="showDetailResut">
                <div class="card-body row" style="margin:0;">
                  <div class="col-lg-6 col-md-12">
                    <table border="0" class="data" [perfectScrollbar]>
                      <thead class="t-thead">
                        <tr class="head">
                          <th class="wd-35">Order Mode</th>
                          <th class="wd-35">Net Sales ($)</th>
                          <th class="wd-30">Labor Hours</th>
                        </tr>
                      </thead>
                      <tbody style="display:block;">
                        <tr *ngFor="let dpart of orderModeSummaryValues" class="rowdata"
                          (click)="onClickFCByOrderMode(dpart.name)"
                          [ngClass]="{'active' : fcByOrderModeActiveDivId == dpart.name}">
                          <td class="wd-35">{{dpart.name}}</td>
                          <td class="wd-35">${{dpart.net_sales_sum | number:'1.0-0'}}</td>
                          <td class="wd-30">{{dpart.net_sales_sum/laborValue | number:'1.0-0' }}</td>
                        </tr>
                      </tbody>
  
                    </table>
                  </div>
                  <div class="col-lg-6 col-md-12">
                    <div >
                      <div  id="salesProjectionOrderModeChart" class="forecast-chart-height w-100">
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            
            <div fxLayout="row wrap" fxLayoutGap="10px" fxLayoutAlign="flex-start" class="card p-4 cardPanel mb-4" *ngIf="showDetailResut">
              <div class="titleforecast pl-0" *ngIf="showDetailResut">Forecast by Store</div>
              <div  *ngIf="showDetailResut">
                <div class="card-body row" style="margin:0;">
                  <div class="col-lg-6 col-md-12">
                    <table border="0" class="data" [perfectScrollbar]>
                      <thead class="t-thead">
                        <tr class="head">
                          <th class="wd-35">Select Store</th>
                          <th class="wd-35">Net Sales ($)</th>
                          <th class="wd-30">Labor Hours</th>
                        </tr>
                      </thead>
                      <tbody style="display:block;" class="rowdata1_tbody">
                        <tr *ngFor="let fore of forecast_stores;let key = index;" [ngClass]="{'active' : fcByStoreActiveDivId  == key}">
                          <td class="wd-35 pt-0 pb-0 sel-store">
                            <mat-form-field style="width:50%; height: 60px;"  appearance="outline">
                              <mat-select [(ngModel)]="fore.store" class="f-14 px-13" [placeholder]="'Select Store'" (ngModelChange)="storeChange(key,fore.store)" name="store" [ngModelOptions]="{standalone: true}">
                                <mat-option *ngFor="let store of test_stores_static" [value]="store">
                                  {{store.label}}
                                </mat-option>
                              </mat-select>
                            </mat-form-field>
                          </td>
                          <td class="wd-35 pt-0 pb-0" (click)="storeChange(key,fore.store)"><div *ngIf="fore.sum">${{fore.sum| number:'1.0-0'}}</div></td>
                          <td class="wd-30 pt-0 pb-0" (click)="storeChange(key,fore.store)"><div *ngIf="fore.sum">{{fore.sum/laborValue|number:'1.0-0'}} Hrs</div></td>
                        </tr>
  
                      </tbody>
                      <div class="addStore" >
                        <a (click)="addForecastStore();"> <i class="fas fa-plus" style="margin-right: 10px;"></i>Add New Store</a>
                      </div>
                    </table>
  
                  </div>
                  <div class="col-lg-6 col-md-12">
                    <div >
                      <div  id="salesProjectionStoreChart" class="w-100 forecast-chart-height">
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <mat-expansion-panel style="box-shadow:none" style="display:none;" displayMode="flat" hideToggle="true"
          expanded="true">
          <mat-expansion-panel-header aria-expanded="true">
            <mat-panel-title>
              Results
            </mat-panel-title>
          </mat-expansion-panel-header>
  
  
          <mat-toolbar>
            <mat-button-toggle-group #group style="margin-left: auto;margin-right: auto;">
              <mat-button-toggle value="$" aria-label="Text align left" (change)="onViewTypeChange($event.value)">
                $
              </mat-button-toggle>
              <mat-button-toggle value="%" aria-label="Text align center" (change)="onViewTypeChange($event.value)">
                %
              </mat-button-toggle>
  
            </mat-button-toggle-group>
          </mat-toolbar>
  
          <div fxLayout="row wrap" fxLayoutGap="16px" fxLayoutAlign="flex-start">
  
            <div fxFlex="50%">
  
              <table width="100%" mat-table [dataSource]="results_summary">
                <ng-container matColumnDef="title">
                  <th style="background-color:#e9e9e9" mat-header-cell *matHeaderCellDef></th>
                  <td mat-cell *matCellDef="let element"> {{element.title}} </td>
                </ng-container>
                <ng-container matColumnDef="summary">
                  <th style="background-color:#e9e9e9" mat-header-cell *matHeaderCellDef></th>
                  <td mat-cell *matCellDef="let element"> {{element.summary}} </td>
                </ng-container>
                <ng-container matColumnDef="pre_period_lift_from_PY_store1">
                  <th style="background-color:#e9e9e9" mat-header-cell *matHeaderCellDef>Pre Period Lift from PY </th>
                  <td mat-cell *matCellDef="let element"> {{element.pre_period_lift_from_PY_store1}} </td>
                </ng-container>
                <ng-container matColumnDef="test_period_lift_from_PY_store1">
                  <th style="background-color:#e9e9e9" mat-header-cell *matHeaderCellDef> Test Period lift from PY </th>
                  <td mat-cell *matCellDef="let element"> {{element.test_period_lift_from_PY_store1}} </td>
                </ng-container>
                <ng-container matColumnDef="pre_period_lift_from_PY_store2">
                  <th style="background-color:#e9e9e9" mat-header-cell *matHeaderCellDef> Pre Period Lift from PY </th>
                  <td mat-cell *matCellDef="let element"> {{element.pre_period_lift_from_PY_store2}} </td>
                </ng-container>
                <ng-container matColumnDef="test_period_lift_from_PY_store2">
                  <th style="background-color:#e9e9e9" mat-header-cell *matHeaderCellDef> Pre Period Lift from PY </th>
                  <td mat-cell *matCellDef="let element"> {{element.test_period_lift_from_PY_store2}} </td>
                </ng-container>
  
                <tr mat-header-row *matHeaderRowDef="results_summaryColumns"></tr>
                <tr mat-row *matRowDef="let row; columns: results_summaryColumns;"></tr>
              </table>
            </div>
  
            <div fxFlex="20%">
              <table width="100%" mat-table [dataSource]="results_summary">
                <ng-container matColumnDef="title">
                  <th style="background-color:#e9e9e9" mat-header-cell *matHeaderCellDef></th>
                  <td mat-cell *matCellDef="let element"> {{element.title}} </td>
                </ng-container>
                <ng-container matColumnDef="summary">
                  <th style="background-color:#e9e9e9" mat-header-cell *matHeaderCellDef></th>
                  <td mat-cell *matCellDef="let element"> {{element.summary}} </td>
                </ng-container>
                <ng-container matColumnDef="net_lift">
                  <th style="background-color:#e9e9e9" mat-header-cell *matHeaderCellDef> Net Lift </th>
                  <td mat-cell *matCellDef="let element"> {{element.net_lift}} </td>
                </ng-container>
  
                <tr mat-header-row *matHeaderRowDef="results_netFitColumns"></tr>
                <tr mat-row *matRowDef="let row; columns: results_netFitColumns;"></tr>
              </table>
            </div>
          </div>
        </mat-expansion-panel>
  
      </ng-container>
      <ng-container *ngIf="!noData">
        <div style="padding: 10px;margin:auto">There is no result to show.</div>
      </ng-container>
  
    </form>
  </block-ui>
  
  
  
  
  <!-- ng template -->
  <div [hidden]="!isDetailView" class="dynamicHeight-EntParent">
    <div class="col-md-12 p-2 mb-2 mt-2" style="font-size: 16px;font-weight: bold;"> Next {{timelineName}} Forecast</div>
    <div class="col-md-12 p-0">
      <hr class="hr-border container-m--x mt-3 mb-0">
    </div>
    <div class="container-m--x row" style="height:calc(100vh - 160px)">
      <div class="col-md-10 row">
        <div class="col-md-12 pl-40 ipad-pl-25" >
          <div class="row">
  
            <div class="col-auto ipad-res-pr-0 ">
              <!-- <mat-label style="margin-top:25px; margin-right:25px;" class="f-14">Forecast Time</mat-label> -->
              <!-- <mat-select-autocomplete class="grid-7-11 f-14 outline-inputgroup" [placeholder]="'Forecast Granularity'"
                [options]="forecast_times" [display]="'label'" [value]="'value'" [multiple]='true' [labelCount]="2"
                (selectionChange)="setFilterCriterea($event,'test_state')">
              </mat-select-autocomplete> -->
            </div>
  
            <div class="col-auto ipad-res-pr-0 ipad-pl-2px ">
              <!-- <mat-select-autocomplete class="grid-7-11 f-14 outline-inputgroup" [placeholder]="'Select Store'"
                [options]="test_stores_static" [display]="'label'" [value]="'value'" [multiple]='true' [labelCount]="2"
                (selectionChange)="setFilterCriterea($event,'test_store_name')">
              </mat-select-autocomplete> -->
            </div>
            <div class="col-auto ipad-res-pr-0 ipad-pl-2px ">
              <!-- <mat-select-autocomplete class="grid-7-11 f-14 outline-inputgroup" [placeholder]="'Select Daypart'"
                [options]="dayparts" [display]="'label'" [value]="'value'" [multiple]='true' [labelCount]="2"
                (selectionChange)="setFilterCriterea($event,'test_region')">
              </mat-select-autocomplete> -->
            </div>
            <div class="col-auto ipad-res-pr-0 ipad-pl-2px ">
              <!-- <mat-select-autocomplete class="grid-7-11 f-14 outline-inputgroup" [placeholder]="'Select Ordermode'"
                [options]="ordermodes" [display]="'label'" [value]="'value'" [multiple]='true' [labelCount]="2"
                (selectionChange)="setFilterCriterea($event,'test_region')">
              </mat-select-autocomplete> -->
            </div>
  
            <div class="col-md pull-right">
              <button class="btn btn-md btn-primary pull-right f-16 mt-3 mr-2 ipad-res-mt-0"
              (click)="isDetailView=!isDetailView"><i class="ion ion-md-close"></i></button>
              <button class="btn btn-md btn-primary pull-right f-16 mt-3 mr-2 ipad-res-mt-0" (click)="saveChanges()">Save &
                Update</button>
            </div>
          </div>
        </div>
        <div class="col-md-12">
          <fm-pivot id='pivot_modify_forecast' #summary_table [toolbar]="false" [width]="'100%'" [height]="800"
            style="height:calc(100vh - 120px)"
            [licenseKey]="'Z7TE-102510-6Z0345-61393B-585P5Q-3X053C-5F5P3O-1B2038-6T164M-6F1V6W-0K61'">
          </fm-pivot>
        </div>
      </div>
  
      <div class="col-md-2 pt-4 right-col-content" style="border-left: 1px solid #eee;">
        <div class="col-md-12 p-2 mb-2" style="font-size: 18px;font-weight: bold;">Edit History</div>
        <div class="card-body p-2 card-label" *ngFor="let row of editHistory[selectedStore][timelineMode]">
          <label>{{row.firstname}} edited {{row.date| date:'MMM dd,y'}} Data from {{(row.old_value||0)|number}} to
            {{row.value|number}} </label>
          <div class="text-muted text-right">{{row.updated_at| date:'h:mm a MMM dd,y'}}</div>
        </div>
        <div class="card-body p-2 card-label" *ngFor="let row of updatedRows[selectedStore][timelineMode]">
          <label>{{row.firstname}} edited {{row.date| date:'MMM dd,y'}} Data from {{(row.old_value||0)|number}} to
            {{row.value|number}} </label>
          <div class="text-muted text-right">{{row.updated_at| date:'h:mm a MMM dd,y'}}</div>
        </div>
      </div>
    </div>
  </div>
  <!-- ng template -->
  <ng-template #elementBlockTemplate1>
    <custom-loader [loaderArr]="loaderArr" *ngIf="loaderArr && loaderArr.length>0"></custom-loader>
    <div class="block-ui-template" *ngIf="!(loaderArr.length>0)">
      <div class="sk-double-bounce sk-primary">
        <div class="sk-child sk-double-bounce1"></div>
        <div class="sk-child sk-double-bounce2"></div>
      </div>
      <span class="loading-text-material">
        <p class="text-center text-white"> {{loadingText}} </p>
      </span>
    </div>
  </ng-template>
  
<!-- current forecast -->
<ng-template #currentForecast let-c="close" let-d="dismiss">
    <div class="modal-header">
             <h5 class="modal-title"> <span class="font-weight-light">Current Forecasts</span> </h5>
             <button type="button" class="close" (click)="d('Cross click')">&times;</button>
         </div>
      <div class="modal-body data-value-grid max-h-450 overflow-hidden overflow-y" [perfectScrollbar] >
             <div class="email-scheculeCard w-100">
            <ngb-accordion [closeOthers]="true" activeIds="accordion2-static-1" class="ngb-accordion-with-icon">
                    <ngb-panel id="accordion2-static-1">
                      <ng-template ngbPanelTitle>
                        <div class="col-lg-6 col-md-12"> <span class="text-dark f-16">Q1 Period1 Forecast</span>
                        </div>
                        <div class="col-lg-6 col-md-12 pr-0">
                            <div class="btn-group float-right ">
                              <span class="filter_icon float-right mr-3  f-14 gray"
                               ngbtooltip="Edit" placement="top" style="cursor: pointer; display: inline-flex;">
                               <i class="fas fa-edit"></i></span>
                               <span class="filter_icon float-right mr-3  f-14 gray "
                                ngbtooltip="Delete" placement="top" style="cursor: pointer; display: inline-flex;">
                                <i class="far fa-trash-alt"></i></span>
                                <span class="filter_icon float-right mr-2 f-14 gray "
                               style="cursor: pointer; display: inline-flex;">
                                <i class="collapse-icon float-right"></i></span>
                               </div>
                        </div>
                      
                      </ng-template>
                      <ng-template ngbPanelContent>
                          <div class="row" style="padding: 0rem 0.5rem;">
                              <div class="col-md-12 pl-0 mb-3" >
                               <p class="mb-2"> <img  src="assets/img/results.svg" style="height:18px;vertical-align:bottom;">
                                <span class="f-14 pl-3">Forecast Start from  </span> <span class="f-14 fw-700 pl-2">09/01/2019</span> </p>
                               <p class="mb-2">
                                  <span class="f-14 pl-34" >Forecast Duration</span> <span class="f-14 fw-700 pl-2">30 days</span>  </p>
                              </div>
                              <div class="col-md-12 pl-0 mb-3">
                                 <p class="mb-2"> <i class="far fa-clock f-18" style="vertical-align:bottom;"></i>
                                  <span class="f-14 pl-3">Weekly From</span> <span class="f-14 fw-700 pl-2">09/01/2019</span> </p>
                               <p class="mb-2"><span class="f-14" style="padding-left: 34px;">No End Date</span></p>
                                </div>
                                <div class="col-md-12 pl-0 mb-2">
                                   <p class="mb-2"> <i class="fas fa-store-alt f-15" style="vertical-align:baseline;"></i>
                                    <span class="pl-3 f-14" >All Stores </span> </p>
                                  </div>
                                  <div class="col-md-12 pl-0" >  <span class="f-13">Created by John Smith</span> </div>  </div>
                      </ng-template>
                    </ngb-panel>
                    <ngb-panel id="accordion2-static-2">
                        <ng-template ngbPanelTitle>
                          <div class="col-lg-6 col-md-12"> <span class="text-dark f-16">Q2 Period2 Forecast</span> </div>
                          <div class="col-lg-6 col-md-12 pr-0">
                              <div class="btn-group float-right ">
                                  <span  class="gray f-13">Created by John Smith</span>
                                  <span class="filter_icon float-right mr-2 ml-3 f-14 gray cursor" style=" display: inline-flex;">
                                  <i class="collapse-icon float-right"></i></span> </div>  </div>
                                  </ng-template>
                        <ng-template ngbPanelContent>
                            <div class="row" style="padding: 0rem 0.5rem;">
                                <div class="col-md-12 pl-0" >
                                 <p >  <span class="f-14 fw-700">Content</span> </p>
                                </div>
                            </div>
                        </ng-template>
                      </ngb-panel>
                      <ngb-panel id="accordion2-static-3">
                        <ng-template ngbPanelTitle>
                          <div class="col-lg-6 col-md-12"> <span class="text-dark f-16">Q3 Period3 Forecast</span> </div>
                          <div class="col-lg-6 col-md-12 pr-0">
                              <div class="btn-group float-right ">
                                  <span  class="gray f-13">Created by John Smith</span>
                                  <span class="filter_icon float-right mr-2 ml-3 f-14 gray cursor" style=" display: inline-flex;">
                                  <i class="collapse-icon float-right"></i></span> </div>  </div>
                                  </ng-template>
                        <ng-template ngbPanelContent>
                            <div class="row" style="padding: 0rem 0.5rem;">
                                <div class="col-md-12 pl-0" >
                                 <p >  <span class="f-14 fw-700">Content</span> </p>
                                </div>
                            </div>
                        </ng-template>
                      </ngb-panel>
                      <ngb-panel id="accordion2-static-4">
                        <ng-template ngbPanelTitle>
                          <div class="col-lg-6 col-md-12"> <span class="text-dark f-16">Q1 Test4 Forecast</span> </div>
                          <div class="col-lg-6 col-md-12 pr-0">
                              <div class="btn-group float-right ">
                                  <span  class="gray f-13">Created by John Smith</span>
                                  <span class="filter_icon float-right mr-2 ml-3 f-14 gray cursor" style=" display: inline-flex;">
                                  <i class="collapse-icon float-right"></i></span> </div>  </div>
                                  </ng-template>
                        <ng-template ngbPanelContent>
                            <div class="row" style="padding: 0rem 0.5rem;">
                                <div class="col-md-12 pl-0" >
                                 <p >  <span class="f-14 fw-700">Content</span> </p>
                                </div>
                            </div>
                        </ng-template>
                      </ngb-panel>
                    
                  </ngb-accordion>
       
       </div>
       </div>
  
   </ng-template>

<!-- current forecast -->

